Bug 51236 - [WinRT] Setting a MasterDetailPage's IsPresented to false will not immediately update the layout to hide the Master on desktop
Summary: [WinRT] Setting a MasterDetailPage's IsPresented to false will not immediatel...
Status: RESOLVED NOT_ON_ROADMAP
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.3
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-01-05 13:59 UTC by Alex
Modified: 2018-03-02 17:08 UTC (History)
8 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Repro solution (357.14 KB, application/x-zip-compressed)
2017-01-05 13:59 UTC, Alex
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NOT_ON_ROADMAP

Description Alex 2017-01-05 13:59:31 UTC
Created attachment 19096 [details]
Repro solution

With a master detail page if you resize the window of the app the menu disappears.

Attached you can find a repro project
1. Set ResizeWinIssue.Windows as startup project
2. Run the app
3. Select "Page 2" menu
4. Try to expand the size of the window
5. The menu disappears.
Comment 1 Paul DiPietro [MSFT] 2017-01-18 22:10:35 UTC
IsPresented is being set to false in OnItemSelected. Not setting this value to false will stop that menu from disappearing when resizing the window. I believe there are conflicting statements in the docs. The issue you are facing with this reproduction is not that the menu is disappearing, but that it is not disappearing when the value is set, which is a separate issue in itself.
Comment 2 Alex 2017-01-20 14:10:23 UTC
Ok I see now..
IsPresented is set to false in our app to close the slide menu for iOS and Android phone.
I can check the OS and Idiom to fix this.
Thanks for your support
Comment 3 Alex 2017-01-20 14:13:12 UTC
But I would say you should implement the same behaviour in WinRt desktop that you have for iOS and Android tablet. IsPresented set to false has no effect to the menu.
Comment 4 Samantha Houts [MSFT] 2017-02-01 20:45:43 UTC
https://github.com/xamarin/Xamarin.Forms/pull/707
Comment 5 Rui Marinho 2017-03-03 12:58:45 UTC
Should be fixed in 2.3.5-pre1
Comment 6 Saurabh Paunikar 2017-07-06 11:03:26 UTC
On Xamarin.form version 2.3.5.256-pre6,observed that issue is not fixed.Hence reopening it

ScreenCast link: https://www.screencast.com/t/yjTXjGsb
Comment 7 Jimmy [MSFT] 2017-07-11 23:16:36 UTC
I can confirm that this issue is still occurring in the Windows 8.1 project with 2.3.5.256-pre6. Resizing the window still causes the Master page to close. The issue does _not_ occur on UWP.
Comment 8 Paul DiPietro [MSFT] 2018-03-02 17:08:36 UTC
Closing as WinRT/8.1 is no longer supported.